# Function deserialize

- deserialize<T>(payloadDet, data): DistributiveVAA<ExtractLiteral<T>>

- #### Type Parameters

  - #### T extends PayloadLiteral | PayloadDiscriminator<LayoutLiteral, false>

  #### Parameters

  - ##### payloadDet: T

  - ##### data: Byteish

  #### Returns DistributiveVAA<ExtractLiteral<T>>

  - Defined in core/definitions/dist/esm/vaa/functions.d.ts:26

Generated using TypeDoc